#!/bin/sh
set -e
set -x

test -f /etc/samba/smb.conf && samba -F && exit 0

case $(hostname) in
  dc1)
    samba-tool domain provision \
      --option="dns forwarder = 8.8.8.8 1.1.1.1" \
      --option="disable netbios = yes" \
      --server-role=dc \
      --dns-backend=SAMBA_INTERNAL \
      --realm=$PROVISION_REALM \
      --domain=$PROVISION_WORKGROUP \
      --adminpass=S4l4k4l4!!
    samba -F
    ;;
  dc2|dc3)
    echo S4l4k4l4!! | kinit administrator@$PROVISION_REALM
    ! samba-tool dns zonecreate -k yes dc1.$PROVISION_REALM $PROVISION_REVERSE_INET_ZONE
    ! samba-tool dns zonecreate -k yes dc1.$PROVISION_REALM $PROVISION_REVERSE_INET6_ZONE
    samba-tool domain join -k yes $PROVISION_REALM dc \
      --option="dns forwarder = 8.8.8.8 1.1.1.1" \
      --option="disable netbios = yes"
    samba -F
    ;;
  *)
    echo "Won't do anything for hostname $(hostname)"
    exit 0
    ;;
esac
